package com.ruoyi.board.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.ruoyi.board.domain.PresetContent;
import com.ruoyi.board.domain.dto.ReleaseRecordAndPresetContentDTO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.ruoyi.board.domain.ReleaseRecord;
import com.ruoyi.board.mapper.ReleaseRecordMapper;
import com.ruoyi.board.service.IReleaseRecordService;

import java.util.Date;
import java.util.List;

@Service
public class ReleaseRecordServiceImpl extends MPJBaseServiceImpl<ReleaseRecordMapper, ReleaseRecord> implements IReleaseRecordService {
    private static final Logger log = LoggerFactory.getLogger(ReleaseRecordServiceImpl.class);

    @Override
    public List<ReleaseRecordAndPresetContentDTO> listLatest2minRecordDtoByBoardId(Integer boardId) {
        Date before2min = new Date(System.currentTimeMillis() - 30 * 60 * 1000);
        return selectJoinList(ReleaseRecordAndPresetContentDTO.class,
                new MPJLambdaWrapper<ReleaseRecord>()
                        .selectAll(ReleaseRecord.class)
                        .select(PresetContent::getInfoType)
                        .leftJoin(PresetContent.class, PresetContent::getId, ReleaseRecord::getPresetContentId)
                        .eq(ReleaseRecord::getBoardId, boardId)
                        .gt(ReleaseRecord::getCreateTime, before2min)
                        .eq(PresetContent::getPresetType, 0)
        );
    }

    @Override
    public List<ReleaseRecord> listLatest2minRecordByBoardId(Integer boardId) {
        Date before2min = new Date(System.currentTimeMillis() - 30 * 60 * 1000);
        LambdaQueryWrapper<ReleaseRecord> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ReleaseRecord::getBoardId, boardId)
                .gt(ReleaseRecord::getCreateTime, before2min);
        return list(queryWrapper);
    }
}
