import request from '@/utils/request'

// 查询情报板类型列表
export function listBoardType(query) {
  return request({
    url: '/board/boardType/list',
    method: 'get',
    params: query
  })
}

// 查询情报板类型详细
export function getBoardType(id) {
  return request({
    url: '/board/boardType/' + id,
    method: 'get'
  })
}

// 新增情报板类型
export function addBoardType(data) {
  return request({
    url: '/board/boardType',
    method: 'post',
    data: data
  })
}

// 修改情报板类型
export function updateBoardType(data) {
  return request({
    url: '/board/boardType',
    method: 'put',
    data: data
  })
}

// 删除情报板类型
export function delBoardType(id) {
  return request({
    url: '/board/boardType/' + id,
    method: 'delete'
  })
}
