import request from '@/utils/request'

// 查询情报板协议库列表
export function listProtocol(query) {
  return request({
    url: '/board/protocol/list',
    method: 'get',
    params: query
  })
}

// 查询情报板协议库详细
export function getProtocol(id) {
  return request({
    url: '/board/protocol/' + id,
    method: 'get'
  })
}

// 新增情报板协议库
export function addProtocol(data) {
  return request({
    url: '/board/protocol',
    method: 'post',
    data: data
  })
}

// 修改情报板协议库
export function updateProtocol(data) {
  return request({
    url: '/board/protocol',
    method: 'put',
    data: data
  })
}

// 删除情报板协议库
export function delProtocol(id) {
  return request({
    url: '/board/protocol/' + id,
    method: 'delete'
  })
}

// 查询情报板协议的级联菜单结构
export function protocolTreeSelect() {
  return request({
    url: '/board/protocol/protocolTree',
    method: 'get'
  })
}
